Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.tmatesoft.svn.core.io
Interface ISVNFileRevisionHandler

All Known Implementing Classes:
  SVNAnnotationGenerator

public interface ISVNFileRevisionHandler

The ISVNFileRevisionHandler interface should be implemented for handling information about file revisions - that is file path, properties, revision properties against a particular revision.

This interface is provided to a `getFileRevisions()` method of SVNRepository when getting file revisions (in particular, when annotating).

Version:
  1.0
Author:
  TMate Software Ltd.
See Also:
  `SVNRepository`, `SVNAnnotationGenerator`

Method Summary
`void` | `applyTextDelta(String token)` Starts deltas applying for a given file name or path (denoted by token).
`void` | `closeRevision(String token)` Performs final handling for the processed file revision (when all deltas are applied and fulltext is got).
`void` | `openRevision(SVNFileRevision fileRevision)` Handles a file revision info.
`OutputStream` | `textDeltaChunk(String token, SVNDiffWindow diffWindow)` Handles a next diff window for a file (represented by a token) and returns an output stream to write instructions and new text data for the window.
`void` | `textDeltaEnd(String token)` Finilazes collecting deltas (diff windows) for a file.

Method Detail

### openRevision

    public void openRevision(SVNFileRevision fileRevision)
                      throws SVNException

  Handles a file revision info.

  Parameters:
    `fileRevision` - a SVNFileRevision object representing file revision information
  Throws:
    `SVNException`
  See Also:
    `SVNFileRevision`

### applyTextDelta

    public void applyTextDelta(String token)
                        throws SVNException

  Starts deltas applying for a given file name or path (denoted by token).

  Parameters:
    `token` - a file token
  Throws:
    `SVNException`

### textDeltaChunk

    public OutputStream textDeltaChunk(String token,
                                       SVNDiffWindow diffWindow)
                                throws SVNException

  Handles a next diff window for a file (represented by a token) and returns an output stream to write instructions and new text data for the window.

  Parameters:
    `token` - a file path or name (or anything an implementor would like to use for his own implementation)
    `diffWindow` - a diff window representing a delta chunk
  Returns:
    an output stream where instructions and new text data for `diffWindow` will be written
  Throws:
    `SVNException`

### textDeltaEnd

    public void textDeltaEnd(String token)
                      throws SVNException

  Finilazes collecting deltas (diff windows) for a file. This method is called just when all the diff windows for a file were handled. It may be here where the collected deltas are applied.

  Parameters:
    `token` - defines a path or a name (or anything an implementor would like to use for his own implementation) of the file for which finalizing steps should be performed
  Throws:
    `SVNException`

### closeRevision

    public void closeRevision(String token)
                       throws SVNException

  Performs final handling for the processed file revision (when all deltas are applied and fulltext is got).

  Parameters:
    `token` - a file token (name or path)
  Throws:
    `SVNException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JavaSVN Home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 TMate Software Ltd. All Rights Reserved.